package com.szpg.plc.message.command.read;

import com.szpg.plc.message.AppMessageConstants;
import com.szpg.plc.message.command.ReadMemoryCommand;
import com.szpg.plc.message.response.read.ReadCH4ValueCommandResponse;

public class ReadCH4ValueCommand extends ReadMemoryCommand {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -4042536900405234254L;

	@Override
	public Class<ReadCH4ValueCommandResponse> getResponseClass() {
		return ReadCH4ValueCommandResponse.class;
	}

	@Override
	public String toString() {
		return "向终端[" + getDestinationId() + "]发送查询甲烷监测值命令";
	}

	@Override
	public String getCommandType() {
		return AppMessageConstants.CMD_TYPE_READCH4VALUE;
	}

}
